# Curso LaTeX IAS #


El presente repositorio contiene ejemplos completos de LaTeX y secciones de código útiles durante el curso, así como links útiles.

**El curso  ha sido especialmente diseñado para la rama estudiantil Industrial Applications Society del IEEE** por el su servido Gerardo Marx Chávez-Campos de la Maestría en Ciencias en Ingeniería Electrónica.

# Contenido general del curso #

  * Instalación y distribuciones de LaTeX
  * GUIs básicos y avanzados
  * Primer documento
  * Tipos de documentos y paquetes
  * Ecuaciones, Figuras y Notas
  * Tablas y Matrices
  * Referencias bibliográficas
  * Datos CSV
  * Gráficas de datos
  * Circuitos eléctricos(spice) 
	
-------------------------------------------------------------------------------



# Instalación y distribuciones de LaTeX #

En el siguiente vídeo se puede observar la forma de instalar una de las distribuciones más básicas y usadas de LaTeX en diferentes sistemas operativos: [Instalación de LaTeX con MikTeX](https://www.youtube.com/watch?v=4w9AjLqSjo0 "youtube")

Aquí puedes encontrar los instaladores de [MikTeX](https://miktex.org/), así como la liga del sistema en línea [Overleaf](https://www.overleaf.com/login); si entras con el correo de **IEEE** obtendrás ciertos beneficios en tu cuenta y espacio de *hosting*.

# GUIs básicos y avanzados #

LaTeX es un sistema de preparación de documentos. El sistema utiliza un archivo fuente con extesión `.tex`, que después es usado para compilar (con `pdflatex`) y producir un archivo de salida (PDF). Por lo tanto el sistema de preparación de documentos de LaTeX es un lenguaje de programación . Por lo tanto, como en cualquier lenguaje de programación, los IDEs (*Integrated Development Eviroments) son esenciales para facilitar la labor al usuario. 

En ese sentido, podemos crear cosas archivos fuente con cualquier editor de texto y después compilarlo. Sin embargo, para facilitarnos la vida podemos en una primera instancia utilizar IDEs dependiendo del grado de uso que le demos al sistema. Los más básicos son *TeXworks* y *Texstudio*. Por otro lado, entornos más avanzados son *Sublime*, *Vim* y *Emacs*. Éste último es el más potente y a la vez difícil de usar, pero el más extensible y configurable, con la posibilidad de no solo ser usado en sistemas como LaTeX, sino en gran variedad de lenguajes de programación.

![emacs](https://poesiabinaria.net/wp-content/uploads/2017/09/xemacs-1280x800.png.pagespeed.ic.LSv4PWuauW.png "wow")

# Mi primer documento #

``` tex
\documentclass{IEEEtran}
\begin{document}
	Hola 
\end{document}
```
